Name:          gperftools
Version:       2.10
Release:       2mamba
Summary:       A collection of a high-performance multi-threaded malloc() implementation
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gperftools/gperftools
Source:        https://github.com/gperftools/gperftools.git/gperftools-%{version}/gperftools-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libperl
BuildRequires: libstdc++6-devel
BuildRequires: libunwind-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
gperftools is a collection of a high-performance multi-threaded malloc() implementation, plus some pretty nifty performance analysis tools.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/pprof
%{_bindir}/pprof-symbolize

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libprofiler.so.*
%{_libdir}/libtcmalloc.so.*
%{_libdir}/libtcmalloc_*.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/google
%{_includedir}/google/*
%dir %{_includedir}/gperftools
%{_includedir}/gperftools/*
%{_libdir}/libprofiler.a
%{_libdir}/libprofiler.so
%{_libdir}/libtcmalloc.a
%{_libdir}/libtcmalloc.so
%{_libdir}/libtcmalloc_*.a
%{_libdir}/libtcmalloc_*.so
%{_libdir}/pkgconfig/libprofiler.pc
%{_libdir}/pkgconfig/libtcmalloc.pc
%{_libdir}/pkgconfig/libtcmalloc_*.pc
%dir %{_datadir}/doc/gperftools
%{_datadir}/doc/gperftools/*
%{_mandir}/man1/pprof.1*
%doc ChangeLog ChangeLog.old NEWS README TODO

%changelog
* Sat Jan 14 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10-2mamba
- rebuilt without .la files

* Wed Jun 01 2022 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic version update by autodist

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Mon Jan 04 2021 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Wed Mar 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-1mamba
- package created using the webbuild interface
